struct Peer
{
    std::string peer_id;
    std::string addr_ip;
    int         addr_port;
    
    std::string key;
    // if the peer's key changes, no changes must be done to this struct.
    
    int_fast64_t left; // how much to still transfer
    
    int nat; // 0 = not natted.
    
    std::string useragent;
    
    time_t first_seen;
    time_t last_seen;
    
    Peer()
        : peer_id(),
          addr_ip(),
          addr_port(0),
          key(),
          left(0),
          nat(0),
          useragent(),
          first_seen(0),
          last_seen(0) { }
};
